# Get the administrative state of an instance **GET /machines/{machineSlug}/i/{instanceSlug}/admin** Retrieve the state of the machine instance that was previously created by calling `POST /machines/{machineSlug}` and may have had events sent to it by calling `POST /machines/{machineSlug}/i/{instanceSlug}/events`. No machine authorizers will be called to authorize this read and it returns private context data so this requires instances.admin scope. The full context for the instance (instead of only public context) will be returned. ## Servers - Production server: https://api.statebacked.dev (Production server) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **machineSlug** (string) The slug/name for the machine definition. - **instanceSlug** (string) The slug/name for the machine instance. ## Responses ### 200 The instance was retrieved successfully. #### Body: application/json (object) - **state** (string | object) The state of the machine instance. For a machine instance with in a single, top-level state, this will be a string. For a machine instance in a hierarchically-nested state, it will be an object mapping parent states to child states. For a machine instance in a parallel state, it will be an object with multiple keys. - **context** (object) The full context of the machine instance. - **status** (string) The status of a machine instance. - **tags** (array[string]) Array of tags for the current states - **done** (boolean) Is the state machine complete - **machineVersion** (object) - **desiredMachineVersion** (object) - **createdAt** (string(date-time)) ### 403 The request was unauthorized. #### Body: application/json (object) - **error** (string) A description of the error. - **code** (string) A code specifying the type of error. [Powered by Bump.sh](https://bump.sh)